/*==================
    Base Styles
===================*/

input[type="radio"] {
  display: none;
}

.container {
  background: rgb(255, 255, 255);
  position: relative;
  width: 100%;
  padding: 2em;
}

.backcontainer {
  background: rgb(210, 210, 210);
  background: linear-gradient(
    180deg,
    rgba(210, 210, 210, 1) 0%,
    rgba(255, 255, 255, 1) 50%,
    rgba(228, 228, 228, 1) 100%
  );
  background-image: url(../img/sombralogo.png);
  background-repeat: repeat;
  background-size: 500px;
  background-position: center;
  z-index: -1;
  width: 100%;
  height: 400px;
  position: absolute;
  top: 0px;
  left: 0;
}

.slide-wrapper {
  position: relative;
  margin: 0 auto;
  padding: 3em;
  width: 100%;
  min-height: 320px;
  overflow: hidden;
  margin-top: 70px;
  max-width: 1480px;
  border-radius: 0 0 10px 10px;
  z-index: 1;
}

/*==================
    Slides
===================*/

#slide-role {
  background: inherit;
  position: absolute;
  top: 0;
  left: 0;
  width: 400%;
  height: 100%;
  z-index: 100;
  transition: left 0.5s cubic-bezier(0.455, 0.03, 0.515, 0.955);
  /* flex */
  display: flex;
}

.slide {
  width: 100%;
  height: 100%;
  background-size: 100% auto;
  background-position: center;
  background-repeat: no-repeat;
}

/* backgrounds */

.slide-1 {
  background-image: url("../img/Banner1.jpg");
}

.slide-2 {
  background-image: url("../img/Banner2.jpg");
}

.slide-3 {
  background-image: url("../img/Banner3.jpg");
}

.slide-4 {
  background-image: url("../img/Banner4.jpg");
}

/*===================
    BUTTONS
====================*/

.btn,
.btn::after {
  border-radius: 50%;
  transition: all 0.5s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

.btn {
  border: 1px solid #fff;
  background: rgb(209, 209, 209, 0.4);
  box-shadow: 0px 2px 2px rgba(56, 56, 56, 0.822);
  position: absolute;
  bottom: -3%;
  width: 20px;
  height: 20px;
  cursor: pointer;
  transform: scale(1.1);
  z-index: 1000;
}

.btn:nth-of-type(1) {
  left: 38%;
}

.btn:nth-of-type(2) {
  left: 45%;
}

.btn:nth-of-type(3) {
  left: 52%;
}

.btn:nth-of-type(4) {
  left: 59%;
}

.btn:hover {
  transform: scale(1.4);
}

/* buttons Atom! */

.btn::after {
  content: "";
  display: inline-block;
  background: #fff;
  width: 12px;
  height: 12px;
  margin: 3px 3px;
  transform: scale(0.5, 0.5);
  box-shadow: 0px 1px 5px rgba(56, 56, 56, 0.822);
}

/*====================
        L O G I C 
 ===================*/

/* slide logic */

input[type="radio"]:checked#slide-2-trigger
  ~ div.slide-wrapper
  > div#slide-role {
  left: -100%;
  transition: 2s;
}

input[type="radio"]:checked#slide-3-trigger
  ~ div.slide-wrapper
  > div#slide-role {
  left: -200%;
  transition: 2s;
}

input[type="radio"]:checked#slide-4-trigger
  ~ div.slide-wrapper
  > div#slide-role {
  left: -300%;
  transition: 2s;
}

/* button logic */

input[type="radio"]:checked + label.btn {
  transform: scale(1.2);
  border: 1px solid rgba(53, 53, 53, 0.308);
}

input[type="radio"]:checked + label.btn::after {
  transform: scale(1.5, 1.5);
  background-image: url(../img/isologovida.jpg);
  background-size: 100%;
  background-position: center;
}

/*=====================================================================================
                MEDIA QUERIES
=======================================================================================*/

@media only screen and (max-width: 750px) {
  /* backgrounds */

  .slide-1 {
    background-image: url("../img/Banner1-2cel.jpg");
  }

  .slide-2 {
    background-image: url("../img/Banner2-2cel.jpg");
    max-width: 100%;
  }

  .slide-3 {
    background-image: url("../img/Banner3-2cel.jpg");
    max-width: 100%;
  }

  .slide-4 {
    background-image: url("../img/Banner4-2cel.jpg");
    max-width: 100%;
  }
  .container {
    padding: 0em;
  }
}

@media only screen and (max-width: 750px) {
  .slide-wrapper {
    width: 100%;
    height: 100%;
    margin-top: 100px;
  }
  .invisiblemobile {
    display: none;
  }
}

@media only screen and (max-width: 450px) {
  .slide-wrapper {
    margin-top: 10px;
    width: 100%;
    height: auto;
  }
}
